WebDAV Plugin 2.5.1 wont update after upgrade to Confluence 3.5.16

I've just performed an upgrade to Confluence 3.5.16.

Plugin Manager claims that WebDAV plugin has updates available.

Clicking Update results in a red error with the message "Problem accessing plugin file at https://marketplace.atlassian.com/download/plugins/confluence.extra.webdav/version/3?from=upm."

Is it safe to use WebDAV 2.5.1 on Confluence 3.5.16? The recent Critical XML Parsing Vulnerability Security Alert clearly states that WebDAV should be disabled on lower versions of Confluence, but it's not clear if this combination would now safe that Confluence is updated.

6 answers

1 accepted

Hi MatrixPlasm,

I got a response from Atlassian regarding the "available upgrade" for WebDAV plugin:

I would suggest to stick with the bundled version, as I am afraid it would not be compatible as well. I believe the fix was already applied in Confluence 3.5.16 without needing to update the plugin. So sticking to the current version would be the best action now.

By the way, the alert for WebDAV plugin has dissapeared from the "Available updates" section on Manage Plugins page in our Confluence (the available version 1.0-dr3 is still shown in WebDAV plugin details).

Regards,

Anna

Hi all,

We are tracking the Java Script issue with the Office Connector in this bug report: https://jira.atlassian.com/browse/OFFCONN-89

Please watch/vote/comment on the issue so that our developers are informed of the issue and it's impact.

All the best,
John

Same error for our instance after upgrading from 3.5.13 to 3.5.16

WebDAV Plugin 2.5.1

Plugin key: confluence.extra.webdav
Available plugin version: 1.0-dr3
Plugin system version: ONE
License: BSD

Hey Sam, MatrixPlasm,

Did you find any reply? Should the WebDAV plugin be upgraded from 2.5.1 after Confluence upgrade to 3.5.16?

Basic testing showed that WebDAV 2.5.1 is still working with Confluence 3.5.16...

BR,

Anna

Hey Anna,

No reply... still shows in Manage Plugins (even after a service restart and recent UPM update to 2.3.0). It does appear to still be working fine, but kind of annoying to have a plugin say that is has an updated version (maybe even one that addresses an XML vulnerability - no notes to confirm that though), yet you can't download or install it anywhere (haven't even found elsewhere to manually download and upload).

The other weird thing is using the URL in the error "https://marketplace.atlassian.com/download/plugins/confluence.extra.webdav/version/3?from=upm" redirects to download "webdav-plugin-1.0-dr3.jar" (which of course doesn't exist in their builds on their support page - https://studio.plugins.atlassian.com/wiki/display/WBDV/Confluence+WebDAV+Plugin) especially as an "upgrade to v2.5.1!?

MatrixPlasm,

Thanks for reply. We have a similar issue also with the OfficeConnector plugin, which was upgraded automatically during the Confluence upgrade to some strange version "2.1.13-backport", which appeared to be incompatible with Confluence 3.5.16, so we replaced it manually with the version 1.18.

OfficeConnector 2.1.13-backport version is also not in the 'available versions' list on the OfficeConnector page https://marketplace.atlassian.com/221. I have raised a support request to Atlassian to clarify this issue. Will put an update here if I get any information.

Regards, Anna.

Interesting, hadn't noticed the "2.1.3-backport" until you mentioned it, ours is the same version, but appears to be working so far. I tried downloading and manually uploading 1.18 but it did not replace 2.1.3 (tried disabling and uploading too, no change).

Yeah, we had to make a small trick to install an earlier version - we renamed 1.18 to 2.1.4 and then it was installed..The problem with OfficeConnector was in IE7 only: On ADD/EDIT page it showed an IE error "Error text: AJS.Confluence.PropertyPanel.Macro is null or undefined".

After installation of 1.18 (renamed to 2.1.4) the problem dissapeared...

Here is a reply from Atlassian support about auto-upgrade of OfficeConnector plugin to the version "2.1.3-backport":

"it seems that it was fixed by downgrading the Office Connector. Since this release can be considered quite special as it's released after 4.2 minor version is released, we suspect that this version of Confluence was considered as 4.0 and above, which is why the plugin was asked to be updated and the issue occurred. We will try to work it out on our side so that this issue won't occur again in the future. Our apology regarding this issue."

So probably the same is with the "available update" of WebDAV.

Regards, Anna.

I created a Bug regarding this issue... see if anything comes of it:
https://studio.plugins.atlassian.com/browse/WBDV-239

Per Phillip Cher "The problem was at the documentation"... https://studio.plugins.atlassian.com/browse/WBDV-239 has been resolved and the update no longer shows up.

Suggest an answer

Log in or Sign up to answer
Atlassian Community Anniversary

Happy Anniversary, Atlassian Community!

This community is celebrating its one-year anniversary and Atlassian co-founder Mike Cannon-Brookes has all the feels.

Read more
Community showcase
Kesha Thillainayagam
Posted Friday in Confluence

We want to hear how your non-technical teams are using Confluence!

Hi Community! Kesha (kay-sha) from the Confluence marketing team here! Can you share stories with us on how your non-technical (think Marketing, Sales, HR, legal, etc.) teams are using Confluen...

277 views 11 10
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you